WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] WordPress 3.1 RC4: Warning: Invalid argument supplied for foreach() (10 posts)

  1. sarangan112
    Member
    Posted 3 years ago #

    When I have uploaded all the files from 3.1 RC 4 packaged and go to /wp-admin to upgrade, then I get this error message:

    Warning: Invalid argument supplied for foreach() in /home/***.com/public_html/wp-includes/functions.php on line 3067

  2. Turn off your plugins and try again. You may have an incompatible one.

  3. sarangan112
    Member
    Posted 3 years ago #

    Yah.. that was the problem.
    Thanks a lot Ipstenu. :-)

  4. Andrew Nacin
    Lead Developer
    Posted 3 years ago #

    Thanks for the report. Despite this being a plugin, I tracked this down to a core code change:
    http://core.trac.wordpress.org/ticket/16499

  5. Generally 'disable your plugins' is followed by 'Okay, which plugin broke?' and then 'WHY did that one break.' :)

  6. sarangan112
    Member
    Posted 3 years ago #

    I don't know which plugin it was, but renamed /muplugins folder and upgraded. It works fine now. No more errors.

  7. Okay, just so you know, the next thing to do is make a NEW mu-plugins folder and add the plugins back there one at a time until it breaks again :) That's how you find out which plugin breaks ;)

  8. @mercime
    Volunteer Moderator
    Posted 3 years ago #

    It'd be great if others share which mu-plugin/s caused the error/s :-)

  9. Andrew Nacin
    Lead Developer
    Posted 3 years ago #

    This particular error won't be in 3.1 final, regardless of whichever plugin was causing it.

  10. @mercime
    Volunteer Moderator
    Posted 3 years ago #

    Thanks @nacin, good to know :-)

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.